### Function

# Gimp double_array_set_values

#### Declaration [src]

    void
    gimp_double_array_set_values (
      GimpArray* array,
      const gdouble* values,
      gsize length,
      gboolean static_data
    )

#### Description

No description available.

#### Parameters

`array`

  Type: `GimpArray`

  The array to modify.

  The data is owned by the caller of the function.

`values`

  Type: An array of `gdouble`

  The C-array.

  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the function.

`length`

  Type: `gsize`

  The number of #double values in `data`.

`static_data`

  Type: `gboolean`

  Whether `data` is a static rather than allocated array.